<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------

	global $_serverHost, $_phpSelf, $_serverDir, $_serverPort, $_thisDir;
	
	$_serverHost = $_SERVER['HTTP_HOST'];
	$_phpSelf = $_SERVER['PHP_SELF'];
	$_serverDir = dirname( $_phpSelf );
	$_serverPort = $_SERVER['SERVER_PORT'];
	$_thisDir = sprintf("http://%s:%s%s/", $_serverHost, $_serverPort, $_serverDir );

	function GetThisPageURL()
	{
		global $_phpSelf, $_thisDir;
		return $_thisDir . basename( $_phpSelf );
	}

	function GetUnsubscribeURL( $name, $addr, $folder )
	{
		global $_thisDir;
		
		$url = $_thisDir;
		$url .= 'subscribe.php';
		$url .= '?name=' . urlencode( $name );
		$url .= '&email=' . urlencode( $addr );
		$url .= '&folder=' . urlencode( $folder );
		$url .= '&add=0';
		return $url;
	}
	
	function GetConfirmURL( $email, $folder, $password, $add )
	{
		global $_thisDir;
		
		$url = $_thisDir;
		$url .= 'submit.php';
		$url .= '?email=' . urlencode( $email );
		$url .= '&folder=' . urlencode( $folder );
		$url .= '&id=' . urlencode( $password );
		$url .= '&add=' . urlencode( $add );
		return $url;
	}
	
	
	include_once ('class/FolderList.class.inc');
	include_once ('class/MailList.class.inc');
	
	function SaveUnsubscribed( $email, $password )
	{
		global $folders;
		
		$className = get_class( $folders );
		if( !isset( $folders ) || $className != 'FolderList' )
			$folders = new FolderList;
			
		if( !$folders->HasFolder('Unsubscribed') )
		{
			$folders->Add('Unsubscribed');
			$folders->Save();
		}
		
		global $active_folder;
				
		$list = new MailList;
		if( $list -> HasEMail( $email ) ) {
			
			$entry = $list -> mails[ crc32($email) ];
								
			if ( $email != $entry ->email || $password != $entry ->password )
				return (0);
			else {	
			
			$name = $entry -> desc;
			
			$oldActiveFolder = $active_folder;
			$active_folder = 'Unsubscribed';
			$list_un = new MailList;
			$list_un -> AddNew( $name, $email, true, true, $password );
			$list_un -> Write();
			
			unset ( $list -> mails[ crc32($email) ] );
			$list->Write();
						
			}
		
		}
		else	return(0);
		
		$active_folder = $oldActiveFolder;
		return (1);
	}

	function GetPassword ( $email ) {
		
		global $folders;
		
		$className = get_class( $folders );
		if( !isset( $folders ) || $className != 'FolderList' )
			$folders = new FolderList;
			
		global $active_folder;
								
		$list = new MailList;
				
		if ( $list -> HasEMail( $email ) ) {
			
			$entry = $list -> mails[ crc32($email) ];
			$password = $entry -> password;
			
			return ($password);
			
		}
		else return (false);	
		
	}
	
	
	function SetConfirmed( $email, $password )
	{
		global $folders;
		
		$className = get_class( $folders );
		if( !isset( $folders ) || $className != 'FolderList' )
			$folders = new FolderList;
			
		global $active_folder;
								
		$list = new MailList;
				
		if ( $list -> HasEMail( $email ) ) {
			
			$entry = $list -> mails[ crc32($email) ];
						
			if ( $email != $entry ->email || $password != $entry ->password )
				return (0);
			
			$list -> mails[ crc32($email) ] -> confirmed = true;
			
			$list -> Write();
			
			return (1);
			
		}
		else return (0);	
		
	}


	function SendDefault ( $email, $name, $subject, $message  ) {
		
		global $MailMethod, $FromAddr, $FromName, $ReplyToAddr, $ReplyToName, $SmtpHost, $SmtpPort, $SmtpHelo, $SmtpUsername, $SmtpPassword;
		
		
		include_once ('class/phpmailer.class.inc');
		include_once ('strip_html.php');
									
		$mailer = new phpmailer;
		
		$mailer -> IsHTML($MessageFormat);
		
		switch( $MailMethod )
		{
		case 1:
			$mailer->IsSendmail();
			break;
		case 2:
			$mailer->IsQmail();
			break;
		case 3:
			$mailer->IsSMTP();
			break;
	
		case 0:
		default:
			$mailer->IsMail();
			break;
		}
		
		$mailer -> AddAddress($email, $name);
		
		$mailer->From = $FromAddr;
		$mailer->FromName = $FromName;
		
		if( $mailer->FromName == '' )
			$mailer->FromName = $mailer->From;
		
		$mailer -> AddReplyTo($ReplyToAddr, $ReplyToName );
		
		$mailer->Subject = stripslashes( ( $subject ) );
		$mailer->Body = stripslashes( ( $message ) );
		
		$mailer->Host = $SmtpHost;
		$mailer->Port = $SmtpPort;
		$mailer->Helo = $SmtpHelo;
		$mailer->Username = $SmtpUsername;
		$mailer->Password = $SmtpPassword;
		
		if( !$res = $mailer->Send() ) {
			print $mailer->ErrorInfo;
			print ( "<br>Mailer error!<br>" );
			exit();
		}		
		
		return ( $res );
		

	}


?>