<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	include_once ('class/MailList.class.inc');
	include_once ('class/CharSets.class.inc');
	
	CheckCallIsCorrect();

	global $HTTP_POST_VARS, $REQUEST_METHOD;

	$msg = "";
	
	$charsets = new CharSets( 'data/charsets.dat' );
	$pg_charsets = new CharSets( 'data/charsets.dat' );
	
	//
	// Define default values
	
	if( $REQUEST_METHOD == 'GET' )
	{	
		if( file_exists('data/options.inc') )
		{
			include ('data/options.inc');
			$HeaderText = stripslashes( $HeaderText );
			$FooterText = stripslashes( $FooterText );
			$SubscribeSubject = stripslashes( $SubscribeSubject );
			$SubscribeMessage = stripslashes( $SubscribeMessage );
			$UnsubscribeSubject = stripslashes( $UnsubscribeSubject );
			$UnsubscribeMessage = stripslashes( $UnsubscribeMessage );
		
		}
		else
		{
			$SmtpHost = 'localhost';
			$SmtpPort = '25';
			$SmtpHelo = 'localhost';
			$HeaderText = 'Default Header';
			$FooterText = 'Default Footer';
			$MailMethod = 0;
			$MessageFormat = 1;
		}
	}
	elseif( $REQUEST_METHOD == 'POST' )
	{
		$SmtpHost = trim( $HTTP_POST_VARS['SmtpHost'] );
		$SmtpPort = trim( $HTTP_POST_VARS['SmtpPort'] );
		$SmtpHelo = trim( $HTTP_POST_VARS['SmtpHelo'] );
		$SmtpUsername = trim( $HTTP_POST_VARS['SmtpUsername'] );
		$SmtpPassword = trim( $HTTP_POST_VARS['SmtpPassword'] );
		$FromName = trim( $HTTP_POST_VARS['FromName'] );
		$FromAddr = trim( $HTTP_POST_VARS['FromAddr'] );
		$HeaderText = trim( $HTTP_POST_VARS['HeaderText'] );
		$FooterText = trim( $HTTP_POST_VARS['FooterText'] );
		$MailMethod = trim( $HTTP_POST_VARS['MailMethod'] );
		$ReplyToAddr = trim( $HTTP_POST_VARS['ReplyToAddr'] );
		$ReplyToName = trim( $HTTP_POST_VARS['ReplyToName'] );
		$Subject = trim( $HTTP_POST_VARS['Subject'] );
		$Charset = trim( $HTTP_POST_VARS['Charset'] );
		$PG_Charset = trim( $HTTP_POST_VARS['PG_Charset'] );
		$MessageFormat = trim( $HTTP_POST_VARS['MessageFormat'] );
		$MailsOnPage = trim( $HTTP_POST_VARS['MailsOnPage'] );
		if( !is_numeric($MailsOnPage) )
			$MailsOnPage = 25;
		
		$SubscribeSubject = trim( $HTTP_POST_VARS['subscribe_subject'] );
		$SubscribeMessage = trim( $HTTP_POST_VARS['subscribe_message'] );
		$UnsubscribeSubject = trim( $HTTP_POST_VARS['unsubscribe_subject'] );
		$UnsubscribeMessage = trim( $HTTP_POST_VARS['unsubscribe_message'] );
		
		
		if( $MailMethod == "3" )
		{
			if( $SmtpHost == "" )
				$msg = $msg . "<LI><font color=\"#990000\">SMTP host name is missed.</font></LI>";
			if( $SmtpPort == "" )
				$msg = $msg . "<LI><font color=\"#990000\">SMTP port number is missed.</font></LI>";
			if( ! is_numeric( $SmtpPort ) )
				$msg = $msg . "<LI><font color=\"#990000\">SMTP port is not a number.</font></LI>";
		}
	
		if( $msg == "" && !IsDemo() )
		{
			$optfile = fopen("./data/options.inc","wb+");
			
			$str = "<?php\n";
			$str = $str . "\t" . '$SmtpHost=' . "'$SmtpHost';\n";
			$str = $str . "\t" . '$SmtpPort=' . "'$SmtpPort';\n";
			$str = $str . "\t" . '$SmtpHelo=' . "'$SmtpHelo';\n";
			$str = $str . "\t" . '$SmtpUsername=' . "'$SmtpUsername';\n";
			$str = $str . "\t" . '$SmtpPassword=' . "'$SmtpPassword';\n";
			$str = $str . "\t" . '$FromName=' . "'$FromName';\n";
			$str = $str . "\t" . '$FromAddr=' . "'$FromAddr';\n";
			$str = $str . "\t" . '$HeaderText=stripslashes(' . "'$HeaderText');\n";
			$str = $str . "\t" . '$FooterText=stripslashes(' . "'$FooterText');\n";
			$str = $str . "\t" . '$MailMethod=' . "'$MailMethod';\n";
			$str = $str . "\t" . '$ReplyToAddr=' . "'$ReplyToAddr';\n";
			$str = $str . "\t" . '$ReplyToName=' . "'$ReplyToName';\n";
			$str = $str . "\t" . '$Subject=stripslashes(' . "'$Subject');\n";
			$str = $str . "\t" . '$Charset=' . "'$Charset';\n";
			$str = $str . "\t" . '$PG_Charset=' . "'$PG_Charset';\n";
			$str = $str . "\t" . '$MessageFormat=' . "'$MessageFormat';\n";
			$str = $str . "\t" . '$MailsOnPage=' . "'$MailsOnPage';\n";
			$str = $str . "\t" . '$SubscribeSubject=stripslashes(' . "'$SubscribeSubject');\n";
			$str = $str . "\t" . '$SubscribeMessage=stripslashes(' . "'$SubscribeMessage');\n";
			$str = $str . "\t" . '$UnsubscribeSubject=stripslashes(' . "'$UnsubscribeSubject');\n";
			$str = $str . "\t" . '$UnsubscribeMessage=stripslashes(' . "'$UnsubscribeMessage');\n";
			$str = $str . "?>";
			
			fwrite( $optfile, $str );		
			
			fclose( $optfile );
			
			print "<p align=center class=varningText>Settings saved.</p>";
		}
		elseif( !IsDemo() )
		{
			print "Next errors were detected:\n";
			print "<UL>\n";
			print $msg;
			print "</UL>\n";
		}
		else
			print "<p align=center class=varningText>You can not update options in as guest. Options were not saved.</p>";
		
		// Fix variables from Web
		$HeaderText = stripslashes( $HeaderText );
		$FooterText = stripslashes( $FooterText );
		$Subject = stripslashes( $Subject );
	}
?>

<script language="JavaScript1.2">
<!--

function show_status() {
 $status_msg = '';
 if( $status_msg.length > 0 ) alert($status_msg);
}

var SubMenuHorOffset=5;
var SubMenuVertOffset=2;
var HideTimeout = 300;
var SubMenuBgColor = '#d8d8d8';
var SubMenuColor = '#111111';
var SubMenuSeparatorColor = '#808080';
var SubMenuDisabledColor = '#808080';
var SubMenuHighlightBgColor = '#dbaeae';
var SubMenuHighlightColor = '#300000';

var SubMenuBorderColor = '#222222';
var SubMenuBorderWidth = 1;
var SubMenuItemSpacing = 4;
var SubMenuMinWidth=null;

var SubMenuItemAlign = new Array(true,true,true,true,false,true);

var SubMenuItem = new Array(
	new Array('User name', '<%NAME%>', 'User address', '<%EMAIL%>', 'Folder', '<%FOLDER%>'),
	new Array('User name', '<%NAME%>', 'User address', '<%EMAIL%>', 'Folder', '<%FOLDER%>')
		
);

var TimerID = null;

var mes_id;

for( i=0; i<SubMenuItem.length; i++ ) {
 if( SubMenuItem[i] != null ) {
  document.write(
	'<div id="submenu'+i+'" onMouseOver="javascript: clr_timer()"'+
	' onMouseOut="javascript: set_timer()"'+
	' style="position:absolute; cursor:hand;'+
	' z-index:99; visibility: hidden;'+
	' border: 1px">');

  document.write('<table ');

  if( SubMenuMinWidth && (SubMenuMinWidth>0) )
   document.write('width="'+SubMenuMinWidth+'" ');

  document.write('border="0" cellspacing="'+SubMenuBorderWidth+'" cellpadding="0" bgcolor="'+SubMenuBorderColor+'">'+
	'<tr><td><table width="100%" border="0" cellspacing="0" cellpadding="'+SubMenuItemSpacing+'" bgcolor="'+SubMenuBgColor+'">');

  for(j=0; j<SubMenuItem[i].length/2; j++) {
   document.write('<tr><td class="smi" bgcolor="'+SubMenuBgColor+'"');

   if( SubMenuItem[i][j*2] != null ) {
    if( SubMenuItem[i][j*2+1] != null )  {
    document.write(
     ' onMouseOver="javascript: set_color(this,SubMenuHighlightBgColor,SubMenuHighlightColor)"'+
     ' onMouseOut="javascript: set_color(this,SubMenuBgColor,SubMenuColor)"'+
     ' onClick="javascript: menu_action(\''+SubMenuItem[i][j*2+1]+'\')"');
     document.write('><font id="lnk" style="color: '+SubMenuColor+'">'+
	SubMenuItem[i][j*2]+'</font>');
    } else {
     document.write('><font style="color: '+SubMenuDisabledColor+'">'+
	SubMenuItem[i][j*2]+'</font>');
    }

   } else {
    document.write(
    '><table border="0" bgcolor="'+SubMenuSeparatorColor+'" cellspacing="0" cellpadding="0" width="100%">'+
    '<tr><td><img src="/soft/abcestore/admin/images/clr.gif" width="1" height="1"></td></tr></table>');
   }
    document.write('</td></tr>');
  }

  document.write('</table></td></tr></table></div>');
 }
}

function getXY(obj) {
   var newObj = new Object();
   newObj.left = obj.offsetLeft;
   newObj.width = obj.offsetWidth;
   newObj.height = obj.offsetHeight;
   newObj.top = obj.offsetTop;
   obj_parent = obj.offsetParent;
   while(obj_parent != null) {
    newObj.left += obj_parent.offsetLeft;
    newObj.top += obj_parent.offsetTop;
    obj_parent = obj_parent.offsetParent;
   }
   return newObj;
}

function repos_all() {
for( i=0; i<SubMenuItem.length; i++ ) {
 if( (document.all['submenu'+i] != null) &&
     (document.all['MenuItem'+i] != null ) ) {
  var sm = document.all['submenu'+i].style;
  var obj = getXY(document.all['MenuItem'+i]);

  if( SubMenuItemAlign[i] )
   sm.left = obj.left+SubMenuHorOffset;
  else
   sm.left = obj.left-(document.all['submenu'+i].offsetWidth-obj.width)-SubMenuHorOffset;
  sm.top = obj.top+obj.height+SubMenuVertOffset;
 }
}
}

function menu_showsub(id) {
 if( document.all['MenuItem'+id] != null )
  document.all['MenuItem'+id].className = "NavDown";

 if( document.all['submenu'+id] == null ) return;
 var sm = document.all['submenu'+id].style;
 var obj = getXY(document.all['MenuItem'+id]);

 if( SubMenuItemAlign[id] )
  sm.left = obj.left+SubMenuHorOffset;
 else
  sm.left = obj.left-(document.all['submenu'+id].offsetWidth-obj.width)-SubMenuHorOffset;
 sm.top = obj.top+obj.height+SubMenuVertOffset;
 sm.visibility = 'visible';
}

function menu_hide_all(id) {
 i = 0;
 while( document.all['MenuItem'+i] ) {
  if( id!=i ) {
   if( document.all['submenu'+i] )
    document.all['submenu'+i].style.visibility = 'hidden';

   if( document.all['MenuItem'+i] != null )
    document.all['MenuItem'+i].className = "NavOff";
  }
  i++;
 }
}

function menu_action( obj ) {
 menu_hide_all();
 var msg = document.all['message'+mes_id];
 msg.insertAdjacentText( 'beforeEnd', obj );
}

function clr_timer() {
 if( TimerID != null ) clearTimeout(TimerID);
}

function set_timer() {
   TimerID = setTimeout("menu_hide_all()",HideTimeout);
}

function menu_show(id) {
 mes_id=id;
 clr_timer();
 menu_hide_all(id);
 menu_showsub(id);
}

function set_color(obj,bg,col) {
 obj.bgColor = bg;
 if( obj.children['lnk'] )
  obj.children['lnk'].style.color = col;
}

// -->
</script>

<form name="edit_form" method="post" action="<?=$target;?>">

<table width=99% border=0 cellpadding="10" cellspacing="0" class="bodyText">
	<tr>
	<td colspan=2 height="10" bgcolor="#CCCCCC"><b>General settings</b></td>
	</tr>
	<tr bgcolor="#E9E9E9">
		<td valign=top>From:</td>
		<td>
			<table class="bodyText">
			<tr>
				<td>Address&nbsp;&nbsp;&nbsp;</td>
				<td><input type=text name=FromAddr size=40 value="<?=$FromAddr?>"></td>
			</tr>
			<tr>
				<td>Name&nbsp;&nbsp;&nbsp;</td>
				<td><input type=text name=FromName size=40 value="<?=$FromName?>"></td>
			</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td valign=top class=BlackText>Reply-To</td>
		<td>
			<table class="bodyText">
			<tr>
				<td>Address&nbsp;&nbsp;&nbsp;</td>
				<td><input type=text name=ReplyToAddr size=40 value="<?=$ReplyToAddr?>"></td>
			</tr>
			<tr>
				<td>Name&nbsp;&nbsp;&nbsp;</td>
				<td><input type=text name=ReplyToName size=40 value="<?=$ReplyToName?>"></td>
			</tr>
			</table>
		</td>
	</tr>	
	<tr bgcolor="#E9E9E9">
		<td>Subject:</td>
		<td>
			<input type=text name=Subject size=50 value="<?=$Subject?>">
		</td>
	</tr>
	<tr>
		<td>Default Charset:</td>
		<td>
			<? $charsets->PrintSelect('Charset', $Charset ); ?>
		</td>
	</tr>
	<tr bgcolor="#E9E9E9">
		<td valign="top">Admin pages charset:</td>
		<td>
			<? $pg_charsets->PrintSelect('PG_Charset', $PG_Charset ); ?>
			<br>Use this charset to setup correct encoding for ABC MailManager administrator HTML pages.
			You have to do it to have possibility type national characters in text areas.
		</td>
	</tr>
	<tr>
		<td valign=top>Default Format:&nbsp</td>
		<td>
			<input type="radio" name="MessageFormat" value=0 <?=$MessageFormat==0?"checked":""?> > Text/Plain<br>
        	<input type="radio" name="MessageFormat" value=1 <?=$MessageFormat==1?"checked":""?> > Text/Html
		</td>
	</tr>
	<tr bgcolor="#E9E9E9">
		<td>Mail method:</td>
		<td>
			<select name=MailMethod>
				<option value="0" <?=$MailMethod==0?"selected":""?> >PHP Mail
				<option value="1" <?=$MailMethod==1?"selected":""?> >Sendmail
				<option value="2" <?=$MailMethod==2?"selected":""?> >qMail
				<option value="3" <?=$MailMethod==3?"selected":""?> >SMTP Mail
			</select>
		</td>
	</tr>
	<tr>
		<td>E-Mails on page:</td>
		<td>
			<input type=text name=MailsOnPage size=10 value="<?=$MailsOnPage?>">
		</td>
	</tr>
	<tr><td colspan=2 height="1">&nbsp;</td></tr>

	<tr><td colspan=2 height="10" bgcolor="#CCCCCC"><b>Smtp settings</b></td></tr>
	<tr bgcolor="#E9E9E9"><td colspan=2 class=bodyText>
		You should specify Smtp Host and Smtp Port only when Mail Method is SMTP Mail.
		If your Smtp server does not require authorization - leave Smtp Username and
		Smtp Password fields blank.
	</td></tr>
	
	<tr>
		<td>Smtp host:&nbsp;&nbsp;&nbsp;</td>
		<td>
			<input type=text name=SmtpHost size=50 value="<?=$SmtpHost?>">
		</td>
	</tr>
	<tr>
		<td>Port:&nbsp;&nbsp;&nbsp;</td>
		<td>
			<input type=text name=SmtpPort size=50 value="<?=$SmtpPort?>">
		</td>
	</tr>
	<tr>
		<td>HELO string:&nbsp;&nbsp;&nbsp;</td>
		<td>
			<input type=text name=SmtpHelo size=50 value="<?=$SmtpHelo?>">
		</td>
	</tr>
	<tr>
		<td>Username:&nbsp;&nbsp;&nbsp;</td>
		<td>
			<input type=text name=SmtpUsername size=50 value="<?=$SmtpUsername?>">
		</td>
	</tr>
	<tr>
		<td>Password:&nbsp;&nbsp;&nbsp;</td>
		<td>
			<input type=password name=SmtpPassword size=50 value="<?=$SmtpPassword?>">
		</td>
	</tr>
	
	<tr><td colspan=2 height="1">&nbsp;</td></tr>
	
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Header and Footer</b></td></tr>
	
	<tr>
		<td width=100 valign=top>Default header:</td>
		<td width="*">
			<textarea name="HeaderText" cols=70 rows="5" wrap="virtual"><?=$HeaderText?></textarea>
		</td>
	</tr>
		
	<tr>
		<td valign=top>Default footer:</td>
		<td>
			<textarea name="FooterText" cols=70 rows="5" wrap="virtual"><?=$FooterText?></textarea>
		</td>
	</tr>
	<tr><td colspan=2 height="1">&nbsp;</td></tr>
	
	
	
	<tr><td colspan=2 height="10" bgcolor="#CCCCCC"><b>Subscribe & Unsubscribe messages</b></td></tr>
	
	<tr bgcolor="#E9E9E9">
		<td>Subscribe subject:</td>
		<td>
			<input type=text name="subscribe_subject" size=50 value="<?=$SubscribeSubject?>">
		</td>
	</tr>
	<tr>
		<td valign=top>
			Subscribe message:<br><br>
			<input type=button id="MenuItem0" onMouseOut="javascript: set_timer()" onClick="javascript: menu_show(0)" value="Add tag">
			
		</td>
		<td>
			<textarea id="message0" name="subscribe_message" cols=70 rows="10" wrap="virtual"><?=stripslashes($SubscribeMessage);?></textarea>
		<br> ( A link to submit subscription is inserted here )
		</td>
	</tr>
	
	<tr><td colspan=2 height="1">&nbsp;</td></tr>
	
	<tr bgcolor="#E9E9E9">
		<td>Unsubscribe subject:</td>
		<td>
			<input type=text name="unsubscribe_subject" size=50 value="<?=$UnsubscribeSubject?>">
		</td>
	</tr>
	<tr>
		<td valign=top>
			Unsubscribe message:<br><br>
			<input type=button id="MenuItem1" onMouseOut="javascript: set_timer()" onClick="javascript: menu_show(1)" value="Add tag">
			
		</td>
		<td>
			<textarea id="message1" name="unsubscribe_message" cols=70 rows="10" wrap="virtual"><?=stripslashes($UnsubscribeMessage);?></textarea>
		<br> ( A link to submit unsubscription is inserted here )		
		</td>
	</tr>
	
	<tr><td colspan=2 height="1">&nbsp;</td></tr>
	
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"></td></tr>
	
	
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"></td></tr>
	
	
	<tr>
		<td colspan=2 align=left>
			<input type=submit name=Update value=Update>
		</td>
	</tr>
</table>
</form>