<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	CheckCallIsCorrect();

	global $HTTP_POST_VARS;

	include ('class/UploadForm.class.inc');
	include ('data/options.inc');

	trace( $HTTP_POST_VARS );
	
	$upload = new UploadForm('upload');
	
	// Set content type
	$IsHTML = $HTTP_POST_VARS['MessageFormat0'] == "1" ? true : false;
	$LetterType = $IsHTML ? "HTML" : "Plain Text";
	
	// Set subject
	$Subject = $HTTP_POST_VARS['Subject0'];
	$Subject = htmlspecialchars( $Subject );
	
	// Charset
	$Charset = $HTTP_POST_VARS['Charset0'];
	
	// Attachemnt paths for archiving
	$paths = array();
	
	// Attach files
	foreach( $upload->data as $attachment )
	{
		$name = $attachment['name'];
		if( $name == "" )
			continue;
			
		$cur = count( $paths );
		$paths[ $cur ][ 0 ] = $name;
		$paths[ $cur ][ 1 ] = $attachment['file'];
	}
	
	// Construct the body
	if( isset( $HTTP_POST_VARS['IncludeHeader'] ) )
	{
		$Body = $HeaderText;
		$Body .= "\n";
	}
	
	$Body .= $HTTP_POST_VARS['MessageText'];
	
	if( isset( $HTTP_POST_VARS['IncludeFooter'] ) )
	{
		$Body .= "\n";
		$Body .= $FooterText;
	}
	
	$Body = htmlspecialchars( stripslashes( $Body ) );
?>

<script language="JavaScript" src="send.js">
</script>

<form name="edit_form" method="post" action="<?=$target?>">
	<input type=hidden name="ctx" value="3">

<?
	foreach ($HTTP_POST_VARS as $var => $value)
	{
		if( $value != "" &&
			(
				strstr( $var, 'Attachment' ) == $var ||
				strstr( $var, 'mailto' ) == $var ||
				$var == 'CustomTo' ||
				$var == 'FromName0' ||
				$var == 'FromAddr0' ||
				$var == 'ReplyToName0' ||
				$var == 'ReplyToAddr0' ||
				$var == 'Charset0' ||
				$var == 'MessageFormat0' ||
				$var == 'Subject0' ||
				$var == 'IncludeHeader' ||
				$var == 'IncludeFooter' ||
				$var == 'MessageText' ||
				$var == 'SendStyle'
			)
		  )
		{
			if( $var == 'Subject0' ||
				$var == 'MessageText' )
				$value0 = base64_encode( $value );
			else
				$value0 = $value;
			print <<<END
			<input type=hidden name="$var" value="$value0">

END;
		}
	}
?>
	<table width="90%" border=0 cellpadding="5" cellspacing="0" class="bodyText">
		<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Header</b></td></tr>	
		<tr>
			<td>Subject:</td>
			<td><?=stripslashes($Subject);?></td>
		</tr>
		<tr>
			<td>Type:</td>
			<td><?=$LetterType?></td>
		</tr>
		<tr>
			<td>Charset:</td>
			<td><?=$Charset?></td>
		</tr>
		<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Attachments</b></td></tr>
		<tr>
			<td colspan=2>
<?php
	$upload->PrintUploadID();
	if( !$upload->PrintAttachedList('images/file.gif', false) )
		print 'No files attached.';
?>
			</td>
		</tr>
		<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Body</b></td></tr>
		<tr>
			<td colspan=2>
				<pre>
<?=$Body?>
				</pre>
			</td>
		</tr>
		<tr><td colspan=2 height="10" bgcolor="#e0e0e0"></td></tr>
		<tr>
			<td colspan=2 align=right>
				<input type=button value=Back onclick="javascript:GotoContext('1');">
				&nbsp;&nbsp;&nbsp;
				<input type=submit name="Next" value=Send>
			</td>
		</tr>
	</table>
</form>
