<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	

	if ( isset ( $_GET['id'] ) ) {
		
		if ( !empty ( $_GET['id'] ) ) {
			$active_folder = $_GET['id'];
		}
		else	{
			
			print ( " <p>Wrong maillist!!!</p> " );
			exit;
		}
	
	}
	else	{
		print ( " <p>Wrong maillist!!!</p> " );
		exit;
	}
	
	include_once ('class/ArchiveIndex.class.inc');
	include_once ('class/MailList.class.inc');
	include_once ('class/FolderList.class.inc');
	include_once ('data/archive_options.inc');
	
	global $HTTP_GET_VARS, $HTTP_POST_VARS, $active_folder;
			
	
	//
	// Load archive index
		
	$index = new ArchiveIndex( false, $active_folder ); // Open index in reverse order
		
	//
	// Adjust indexes
	
	$page_size = 10;
	$page = 0;
	
	if( isset( $HTTP_GET_VARS['page'] ) )
		$page = $HTTP_GET_VARS['page'];
	elseif(isset( $HTTP_POST_VARS['page'] ) )
		$page = $HTTP_POST_VARS['page'];
	
			
	if( $page * $page_size >= $index->GetCount( $active_folder ) )
		$page = $index->GetCount( $active_folder ) / $page_size;
		
	$start = $page * $page_size; 		// inclusive
	$end = ( $page + 1 ) * $page_size; 	// non-inclusize
	
	$page_count = (int) ($index->GetCount( $active_folder ) / $page_size);
	
	if( $index->GetCount( $active_folder ) % $page_size > 0 )
		$page_count++;
		
	if( $end >= $index->GetCount( $active_folder ) )
		$end = $index->GetCount( $active_folder );
		
	
	$target = "view_archive.php";
	$target .= "?id=" . $active_folder;
	
	$target_letter = "view_letter.php";
	$target_letter .= "?id=" . $active_folder;
	
	echo $archive_Header;
		
?>
	

	<table width="100%" border=0 cellpadding="5" cellspacing="0" class="bodyText">
	

<?php
	if( $index->GetCount($active_folder) == 0 )
	{
		print "<tr><td colspan=6 align=center valign=top class=bodyText>No messages in \"<b>$active_folder</b>\" maillist archive</td></tr>";
	}
	else
	{
		
		print "<tr><td colspan=6 align=center valign=top class=bodyText>Maillist \"<b>$active_folder</b>\" archive</td></tr>
		<tr><td colspan=6 bgcolor=\"#e0e0e0\" height=\"1\"></td></tr>";
		
		$num = 0;
		
		for( $i = $start; $i <= $end; $i++ )
		{
			$letter = $index->Get( $i );
			
			if ( $active_folder == $letter->folder ) {
			
				$num++;				
				
				$file_alt = "No attachment";
				$file_image = "images/empty.gif";	
				if( $letter->HasAttachments() )
				{
					$file_image = "images/file.gif";	
					$file_alt = "Attachment";
				}
					
				$number = $num;
				
				$send_time = date("D M j G:i:s Y", $letter->tm );
				
				$subject = htmlspecialchars( $letter->subject, ENT_QUOTES );
				
					
				if ( empty ( $subject ) )
					$subject = "No subject";
				
				print <<<END
				<tr>
					<td align=left valign=top width=12>
						<font class=bodyText><b>$number</b></font>
					</td>
					<td width=20>
						<img alt="Letter" src="images/mail.gif">
					</td>
					<td width=20>
						<img alt="$file_alt" src="$file_image">
					</td>
					<td width=180>
						<font class=BodyText>$send_time</font>
					</td>
					
					<td width="*">
						<a href="$target_letter&let=$i">$subject</a>
					</td>
				</tr>
				
						
END;
			}


		}
		
	if( $page_count > 1 )
	{
?>

	<tr>
		<td colspan=6>
<?php
	//
	// Print prev link --------------------------------
	
	if( $page > 0 )
	{
		$prev = $page - 1;
		print "<a href=\"$target&page=$prev\">&lt;&lt;</a>&nbsp";
	}
	else
		print "&lt;&lt;&nbsp";

	//
	// Print page links --------------------------------
	
	for( $i = 0; $i < $page_count; $i++ )
	{
		if( $i == $page )
			print "<b>$page</b>&nbsp";
		else
			print "<a href=\"$target&page=$i\">$i</a>&nbsp";
	}

	//
	// Print next link --------------------------------
	
	if( $page != $page_count - 1 )
	{
		$next = $page + 1;
		print "<a href=\"$target&page=$next\">&gt;&gt;</a>&nbsp";
	}
	else
		print "&gt;&gt;&nbsp";
?>
		</td>
	</tr>
	
<?php
		} // if( $page_count > 1 )
?>
	
	
	<tr><td colspan=6 bgcolor="#e0e0e0" height="1"></td></tr>
	
<?php
	} // end of else of if( $index->GetCount() == 0 )
?>

	</table>
</form>


<?php
echo $archive_Footer;
?>